MediaWiki:Fandomdesktop.css: Difference between revisions

No edit summary
Els236 (talk | contribs)
handbook
 
(14 intermediate revisions by 5 users not shown)
Line 1: Line 1:
/* Import Caching */
/* Import Caching */
@import url("/load.php?mode=articles&articles=MediaWiki:Variables.css|u:dev:MediaWiki:FandomIcons.css|u:dev:MediaWiki:PortableNavbox.css|MediaWiki:Mbox.css|MediaWiki:FD_Mbox.css|MediaWiki:Infobox.css|MediaWiki:Quotes.css|MediaWiki:Navbox.css|MediaWiki:Font.css|MediaWiki:Item.css|MediaWiki:Colors.css|MediaWiki:Gallery.css|MediaWiki:CustomTabs.css|MediaWiki:Tables.css|MediaWiki:EditorDashboard.css|MediaWiki:Documentation.css|MediaWiki:Dialogue.css|u:dev:MediaWiki:Module:Documentation.css|u:dev:MediaWiki:InterlanguageFlags.css|MediaWiki:Tooltip.css|MediaWiki:Keys.css|MediaWiki:StaffColors.css|MediaWiki:Rubi.css|MediaWiki:Events.css|MediaWiki:Icon.css&only=styles");
@import url("/load.php?mode=articles&articles=MediaWiki:Variables.css|u:dev:MediaWiki:FandomIcons.css|u:dev:MediaWiki:PortableNavbox.css|MediaWiki:Mbox.css|MediaWiki:FD_Mbox.css|MediaWiki:Infobox.css|MediaWiki:Quotes.css|MediaWiki:Navbox.css|MediaWiki:Font.css|MediaWiki:Item.css|MediaWiki:Colors.css|MediaWiki:Gallery.css|MediaWiki:CustomTabs.css|MediaWiki:Tables.css|MediaWiki:EditorDashboard.css|MediaWiki:Documentation.css|MediaWiki:Dialogue.css|u:dev:MediaWiki:Module:Documentation.css|u:dev:MediaWiki:InterlanguageFlags.css|MediaWiki:Tooltip.css|MediaWiki:Keys.css|MediaWiki:StaffColors.css|MediaWiki:Rubi.css|MediaWiki:Events.css|MediaWiki:Attributes.css|MediaWiki:ChangeHistory.css|MediaWiki:Icon.css&only=styles");
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedDiscord.css&only=styles";
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedDiscord.css&only=styles";
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedSearch.css&only=styles";
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:BalancedSearch.css&only=styles";
Line 6: Line 6:
/*@import "/load.php?mode=articles&articles=u:dev:MediaWiki:Antiborder.css&only=styles";*/
/*@import "/load.php?mode=articles&articles=u:dev:MediaWiki:Antiborder.css&only=styles";*/
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:VanillaCodeMirror.css&only=styles";
@import "/load.php?mode=articles&articles=u:dev:MediaWiki:VanillaCodeMirror.css&only=styles";
/* Import Font */
@import url('https://fonts.googleapis.com/css2?family=Quicksand:[email protected]&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Noto+Sans+JP:wght@400;700&family=Noto+Sans+KR:wght@400;700&family=Noto+Sans+SC:wght@400;700&family=Noto+Sans+TC:wght@400;700&family=Noto+Sans+Thai:wght@400;700&family=Noto+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Noto+Sans+Avestan:wght@400;700&family=Noto+Sans+Hebrew:wght@400;700&display=swap');
:root {
--theme-page-headings-font: 'Quicksand';
}


.skin-fandomdesktop .page-content {
.skin-fandomdesktop .page-content {
  overflow: inherit;
overflow: inherit;
}
}


/* Skin Alters */
/* Skin Alters */
/* Mainpage Styles */
/* Mainpage Styles */
.Mainpage-border {
.Mainpage-border {
    background: var(--theme-color-5);
background: var(--theme-color-5);
    border: 2px solid var(--theme-color-1);
border: 2px solid var(--theme-accent-color);
    border-radius: 3px;
border-radius: 3px;
    margin-top: 10px;
margin-top: 10px;
    margin-bottom: 10px;
margin-bottom: 10px;
}
 
.Mainpage-border:has(div.Mainpage-header) {
padding: 2px;
}
}


.Mainpage-header {
.Mainpage-header {
    background: var(--theme-color-1);
background: var(--theme-accent-color);
    border-radius: 2px;
border-radius: 2px;
    color: #000000;
color: #000000;
     font-size: 1.4em;
     font-weight: bold;
    padding: 1px;
font-size: 1.4em;
    margin-bottom: 10px;
padding: 1px;
    font-family: 'BarlowBold', sans-serif;
margin-bottom: 10px;
}
}


.Mainpage-header-link {
.Mainpage-header-link {
    color: #000000;
color: #000000;
}
}
.page__main {
.page__main {
    padding: 23px 15px 15px 30px;
padding: 23px 15px 15px 30px;
}
}
.mainpage .page__main {
.mainpage .page__main {
Line 41: Line 53:
}
}
.page {
.page {
    border-left: 1px solid var(--theme-color-4);
border-left: 1px solid var(--theme-color-4);
    border-right: 1px solid var(--theme-color-4);
border-right: 1px solid var(--theme-color-4);
    border-bottom: 1px solid var(--theme-color-4);
border-bottom: 1px solid var(--theme-color-4);
    border-radius: 3px;
border-radius: 3px;
}
}
.theme-fandomdesktop-light .page {
.theme-fandomdesktop-light .page {
Line 51: Line 63:
.theme-fandomdesktop-dark .page {
.theme-fandomdesktop-dark .page {
border-top: 5px solid var(--theme-accent-color);
border-top: 5px solid var(--theme-accent-color);
}
/* Background Image for Mainpage */
/** Light Mode **/
.theme-fandomdesktop-light .bgimg {
color: var(--theme-page-text-color);
text-shadow: 0px 2px 2px #ffffff80;
background-size: cover;
background-image: linear-gradient(rgba(249, 245, 242, 0.8),
  rgba(249, 245, 242, 0.6)), url('https://static.wikia.nocookie.net/honkai-nexus-anima/images/b/b5/Site-background-light/revision/latest?cb=20250829091827&format=original');
}
/** Dark Mode **/
.theme-fandomdesktop-dark .bgimg {
color: var(--theme-page-text-color);
text-shadow: 0px 2px 2px #00000080;
background-size: cover;
background-image: url('https://static.wikia.nocookie.net/honkai-nexus-anima/images/0/08/Site-background-dark/revision/latest?cb=20250829091822&format=original');
}
}


Line 77: Line 106:
/* Hatnote styling */
/* Hatnote styling */
.hatnote {
.hatnote {
    border-left: 3px solid var(--theme-accent-color);
border-left: 3px solid var(--theme-accent-color);
    padding: 3px 10px;
padding: 3px 10px;
    border-radius: 3px;
border-radius: 3px;
    background: linear-gradient(145deg, rgba(var(--theme-accent-color--rgb),0.15) 0%, rgba(var(--theme-accent-color--rgb),0) 100%);
background: linear-gradient(145deg, rgba(var(--theme-accent-color--rgb),0.15) 0%, rgba(var(--theme-accent-color--rgb),0) 100%);
    margin: 5px 0;
margin: 5px 0;
}
}


Line 102: Line 131:


/* Reduce bottom margin of lists */
/* Reduce bottom margin of lists */
.mw-parser-output ol, .mw-parser-output ul { margin: 6px 0 6px 36px; }
.mw-parser-output ol, .mw-parser-output ul { margin: 6px 0 6px 36px; }


/* inline unordered list seperated by pipe */
/* inline unordered list seperated by pipe */
Line 116: Line 145:
width: 290px;
width: 290px;
}
}
.discord-widget .widget-header { background-color: var(--theme-accent-color); }
.discord-widget .widget-header {  
 
background-color: var(--theme-accent-color);
}
.discord-widget .widget-footer {
.discord-widget .widget-footer {
  background-color: var(--theme-page-background-color);
background-color: var(--theme-page-background-color);
  box-shadow: none;
box-shadow: none;
};
}
 
.discord-widget .widget-theme-light .widget-btn-connect {
.discord-widget .widget-theme-light .widget-btn-connect {
background-color: var(--theme-link-color);
background-color: var(--theme-link-color);
Line 128: Line 157:
border: none;
border: none;
}
}
/* [[Template:Latest Edits]] Fix for UCP */
#ActivityFeed .mw-changeslist-line-inner-rollback,
#ActivityFeed .mw-changeslist-line-inner-tags,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-separatorAftercharacterDiff,
#ActivityFeed .mw-changeslist-line-inner-userTalkLink,
#ActivityFeed td.mw-enhanced-rc,
#ActivityFeed .mw-changeslist-legend,
#ActivityFeed .mw-changeslist-line-inner-historyLink,
#ActivityFeed .mw-changeslist-line-inner-separatorAfterLinks,
#ActivityFeed .mw-changeslist-line-inner-characterDiff,
#ActivityFeed .mw-changeslist-line-inner-comment,
#ActivityFeed .activity-tabs,
#ActivityFeed .activity-summary,
#ActivityFeed .mw-enhancedchanges-arrow-space {
display: none;
}
#ActivityFeed .mw-changeslist-line-inner-userLink:before {
content: "\00000A\000009edited\0000A0by ";
white-space: pre-wrap;
}
#ActivityFeed .mw-changeslist-line-inner {
text-align:left;
width: 284px;
}
#ActivityFeed span.mw-changeslist-line-inner-userLink {
font-size: 11px;
position: relative;
top: -5px !important;
left: -15px;
}
#ActivityFeed .mw-changeslist div table {
border-bottom: 1px solid var(--subtitle-color);
margin-left: 10px;
margin-right: 10px;
padding-top: 3px !important;
}
#ActivityFeed .mw-changeslist div table:last-child {
border: none;
}
/* End [[Template:Latest Edits]] Fix for UCP */


.navtabs * { width: 100% }
.navtabs * { width: 100% }
Line 193: Line 265:


hr {
hr {
    margin: 5px 0;
margin: 5px 0;
    border: none;
border: none;
    height: 1px;
height: 1px;
    color: var(--theme-border-color);
color: var(--theme-border-color);
    background-color: var(--theme-border-color);
background-color: var(--theme-border-color);
}
}


Line 259: Line 331:
margin-left: 0;
margin-left: 0;
}
}
}
}
/* For [[Template:Change History]] */
.change-history-header {
display: flex;
justify-content: space-between;
align-items: center;
font-size: 88%;
margin: 0.3em 0;
}
.change-history-content {
overflow: auto;
max-height: 330px;
padding: 0.5em;
box-sizing: border-box;
-moz-box-sizing: border-box;
-moz-border-radius-topleft: 0.5em;
background: transparent;
border-radius: 4px;
hr + p {
margin-block: 0;
}
}
}
}
Line 339: Line 387:
/* format code */
/* format code */
code, .custom-formatting-code:not(.custom-formatting-plain) {
code, .custom-formatting-code:not(.custom-formatting-plain) {
    background-color: var(--theme-page-background-color--secondary);
background-color: var(--theme-page-background-color--secondary);
    border: 1px solid var(--theme-border-color);
border: 1px solid var(--theme-border-color);
    border-radius: 2px;
border-radius: 2px;
    padding: 1px 4px;
padding: 1px 4px;
    font-family: monospace;
font-family: monospace;
}
}
/* For [[Module:Formatting]] */
/* For [[Module:Formatting]] */
Line 371: Line 419:
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortDown::before,
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortDown::before,
.article-table.fandom-table.jquery-tablesorter th:not(.headerSortUp).headerSort::after {
.article-table.fandom-table.jquery-tablesorter th:not(.headerSortUp).headerSort::after {
    clip-path: none;
clip-path: none;
    -webkit-clip-path: none
-webkit-clip-path: none
}
}
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortUp::after { display: flex }
.article-table.fandom-table.jquery-tablesorter th.headerSort.headerSortUp::after { display: flex }
Line 383: Line 431:
/* [[Template:Description]] styles */
/* [[Template:Description]] styles */
div.description-wrapper {
div.description-wrapper {
    border: 1px solid var(--border-color);
border: 1px solid var(--border-color);
    overflow: hidden;
overflow: hidden;
    border-radius: 8px;
border-radius: 8px;
    background: #bf8c4015;
background: #bf8c4015;
}
}
div.description-content {
div.description-content {
    font-size: 15px;
font-size: 15px;
    text-align: left;
text-align: left;
    overflow: auto;
overflow: auto;
    line-height: 1.35em;
line-height: 1.35em;
    padding: 12px 12px 12px 12px;
padding: 12px 12px 12px 12px;
}
}
div.description-source {
div.description-source {
    font-size: 15px;
font-size: 15px;
    overflow: auto;
overflow: auto;
    padding: 5px 12px;
padding: 5px 12px;
}
}
hr.description-separator {
hr.description-separator {
    width: 97.5%;
width: 97.5%;
    margin: auto;
margin: auto;
}
}
div.description-title {
div.description-title {
    font-size: 15px;
font-size: 15px;
    text-align: left;
text-align: left;
    overflow: auto;
overflow: auto;
    padding: 10px 12px 6px;
padding: 10px 12px 6px;
}
}
   
   
Line 459: Line 507:
.edittools-list div.mw-collapsible {
.edittools-list div.mw-collapsible {
padding: 0;
padding: 0;
    display: inline;
display: inline;
}
}
.edittools-list span.mw-collapsible-toggle { padding: 0 3px; }
.edittools-list span.mw-collapsible-toggle { padding: 0 3px; }
Line 544: Line 592:
text-overflow: unset;
text-overflow: unset;
-webkit-line-clamp: unset;
-webkit-line-clamp: unset;
}
/* For [[Template:Handbook]], from GIW */
.handbook dd { margin-left: 0; }
.handbook .handbook-detail {
    display: flex;
    gap: 4px;
    align-items: flex-start;
    margin: 10px 0;
}
.handbook .handbook-detail > a.image { overflow: visible !important; }
.handbook .handbook-detail > a.new {
    flex: 0 0 200px;
    height: 110px;
    background-image: url(https://static.wikia.nocookie.net/honkai-nexus-anima/images/d/dd/Unknown.png);
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    font-size: 0;
}
.page-content .dialogue .handbook dt {
    font-weight: 700;
    font-style: inherit;
    font-size: inherit;
}
/* Scrollbar */
::-webkit-scrollbar {
width: 12px !important;
-webkit-overflow-scrolling: auto !important;
}
::-webkit-scrollbar-track {
-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3) !important;
-webkit-border-radius: 10px !important;
border-radius: 10px !important;
}
::-webkit-scrollbar-thumb {
-webkit-border-radius: 10px !important;
border-radius: 10px !important;
background: #73ebe9 !important;
-webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.5) !important;
}
::-webkit-scrollbar-thumb:window-inactive {
background: #73ebe9 !important;
}
}